<% if (section === 'css') { %>
<style>
  .page[page=youtube] {
    display: flex;
    flex-direction: column;
    text-align: center;
    height: calc(100% - 64px);
  }
  
  .page[page=youtube] div {
    flex: 1;
    display: flex;
    flex-direction: row;
  }

  .page[page=youtube] div .item {
    flex: 1;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="youtube">
    <div>
        <div class="input-field">
            <input id="youtube-URL-input" type="url" onkeydown="youtubeURLEnter()">
            <label for="youtube-URL-input">Youtube URL</label>
            <button class="btn waves-effect waves-light" type="submit" name="action" onmousedown="sendYoutubeURL()">Update
                <i class="material-icons right">send</i>
            </button>
        </div>
    </div>
    <div>
        <button class="item" onmousedown="connection.sendCommand('youtube', 'start')">Start</button>
        <button class="item" onmousedown="connection.sendCommand('youtube', 'pause')">Pauzeer</button>
        <button class="item" onmousedown="connection.sendCommand('youtube', 'stop')">Stop</button>
    </div>
    <div>
        <button class="item" onmousedown="connection.sendCommand('youtube', 'min10sec')">−10s</button>
        <button class="item" onmousedown="connection.sendCommand('youtube', 'plus10sec')">+10s</button>
    </div>
    <div>
        <button class="item" onmousedown="connection.sendCommand('youtube', 'fullscreen', {fullscreen: true})">Fullscreen</button>
        <button class="item" onmousedown="connection.sendCommand('youtube', 'fullscreen', {fullscreen: false})">Geen fullscreen</button>
    </div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  function sendYoutubeURL() {
    connection.sendCommand("youtube", "setVideo", {URL: document.getElementById("youtube-URL-input").value})
  }
  function youtubeURLEnter() {
    if (event.key === "Enter") {
      sendYoutubeURL();
    }
  }
</script>
<% } %>
